package com.ss.android.ugc.aweme.comment.viewmodel;

import X.0Bt;
import X.0CB;
import X.0CH;
import X.1Bn;
import X.6Is;
import X.7he;
import X.AnonymousClass9o0;
import X.AnonymousClass9vC;
import X.C00339nh;
import X.C00349ni;
import X.Crj;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.comment.model.Comment;
import java.util.HashMap;
import java.util.Map;

public final class CommentBatchManagementViewModel extends 0Bt implements 6Is {
    public static final AnonymousClass9o0 LJ = new AnonymousClass9o0((byte) 0);
    public int LIZ;
    public final Map<String, Comment> LIZIZ = new HashMap();
    public final Map<String, Comment> LIZJ = new HashMap();
    public final Map<String, AnonymousClass9vC> LIZLLL = new HashMap();
    public final Crj LJFF = 7he.LIZ(C00349ni.LIZ);
    public final Crj LJI = 7he.LIZ(C00339nh.LIZ);

    static {
        Covode.recordClassIndex(57603);
    }

    public final 1Bn<Boolean> LIZ() {
        return (1Bn) this.LJFF.getValue();
    }

    public final 1Bn<Integer> LIZIZ() {
        return (1Bn) this.LJI.getValue();
    }

    public final void onStateChanged(0CH r1, 0CB r2) {
    }

    public final void LIZJ() {
        this.LIZ = 0;
        this.LIZIZ.clear();
        this.LIZJ.clear();
    }
}
